#
# spec file for package python-jupyter_contrib_core
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
%bcond_without  tests
Name:           python-jupyter_contrib_core
Version:        0.3.3
Release:        lp152.4.1
Summary:        Common utilities for jupyter-contrib projects
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jupyter-contrib/jupyter_contrib_core
Source:         https://files.pythonhosted.org/packages/source/j/jupyter_contrib_core/jupyter_contrib_core-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with tests}
BuildRequires:  %{python_module jupyter-core}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module notebook >= 4.0}
BuildRequires:  %{python_module tornado}
BuildRequires:  %{python_module traitlets}
%endif
Requires:       python-jupyter-core
Requires:       python-notebook >= 4.0
Requires:       python-setuptools
Requires:       python-tornado
Requires:       python-traitlets
Provides:       python-jupyter_contrib_core = %{version}
Obsoletes:      python-jupyter_contrib_core <= %{version}
Requires:       jupyter-jupyter_contrib_core = %{version}
BuildArch:      noarch

%python_subpackages

%description
Common utilities for jupyter-contrib projects. Includes:

-   providing a notebook-4.2-compatible nbextension API in order to
    smooth over differences in versions 4.0 and 4.1
-   common application components and cli scripts
-   utility classes and functions for use in tests

This package provides the python interface.

%package     -n jupyter-jupyter_contrib_core
Summary:        Libraries and Languages for Jupyter
Group:          Development/Languages/Python
Requires:       jupyter-jupyter-core
Requires:       jupyter-notebook >= 4.0
Requires:       python3-jupyter_contrib_core = %{version}

%description -n jupyter-jupyter_contrib_core
Common utilities for jupyter-contrib projects. Includes:

-   providing a notebook-4.2-compatible nbextension API in order to
    smooth over differences in versions 4.0 and 4.1
-   common application components and cli scripts
-   utility classes and functions for use in tests

This package provides the jupyter components.

%prep
%setup -q -n jupyter_contrib_core-%{version}

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
export LANG=en_US.UTF-8
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} nosetests-%{$python_bin_suffix} -v
%endif

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/jupyter_contrib_core/
%{python_sitelib}/jupyter_contrib_core-%{version}-py*.egg-info

%files -n jupyter-jupyter_contrib_core
%license LICENSE.txt
%{_bindir}/jupyter-contrib

%changelog
* Thu Apr 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Remove py2 deps as the py2 support is disabled
* Tue Nov 12 2019 Todd R <toddrme2178@gmail.com>
- Drop python2 support due to python-notebook dropping python2 support
- jupyter_core renamed to jupyter-core
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.5.1
  * Fix for navigation hotkeys
  * gist_it Making github endpoint configurable to support publishing gists to Github Enterprise
  * Fix treefilter
  * Enable ruler extension in editor
  * Several spelling fixes
- Split jupyter components into own subpackage.
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Wed Sep 20 2017 toddrme2178@gmail.com
- Update to version 3.3
  * More bugfixes for notebook 5
- Update to version 3.2
  * Fix for ArgumentConflict, which moved module in notebook 5
* Wed May  3 2017 toddrme2178@gmail.com
- Update to version 3.1
  * Patch release removing non-ascii character from MANIFEST.in
- Implement single-spec version.
* Sun Oct 30 2016 toddrme2178@gmail.com
- Initial version
